<template>
	<view class="content">
		<view class="content-money">
			<view class="flex" v-if="type == 'xl'">
				<view class="buttom">
					<view class="icon">{{ userInfo.integral | getMoneyStyle }}</view>
					<text class="text">可用响亮积分</text>
				</view>
			</view>
			<view class="flex" v-if="type == 'yue'">
				<view class="buttom">
					<view class="icon">{{ userInfo.now_money | getMoneyStyle }}</view>
					<text class="text">可用余额</text>
				</view>
			</view>
			<view class="flex" v-if="type == 'cash'">
				<view class="buttom">
					<view class="icon">{{ userInfo.cash | getMoneyStyle }}</view>
					<text class="text">可用现金</text>
				</view>
			</view>
		</view>
		<view class="row-box">
			<view class="title">收款人手机号</view>
			<view class="row"><input class="input" type="number" v-model="card" placeholder="请输入收款人手机号" placeholder-class="placeholder" /></view>
		</view>
		<view class="row-box">
			<view class="title">转账金额</view>
			<view class="row">
				<!-- <text class="tit">￥</text> -->
				<input class="input" type="number" v-model="withdrawal" placeholder="转入金额" placeholder-class="placeholder" />
				<view class="buttom" v-if="type == 'xl'" @click="withdrawal = userInfo.integral">全部转账</view>
				<view class="buttom" v-if="type == 'yue'" @click="withdrawal = userInfo.now_money">全部转账</view>
				<view class="buttom" v-if="type == 'cash'" @click="withdrawal = userInfo.cash">全部转账</view>
			</view>
		</view>
		<view class="tip" v-if="withdrawal != 0 && type == 'xl'">实际转入{{ realmoney }}响亮积分,{{ gy }}响亮积分流入公益池</view>

		<button class="add-btn up" :class="{ action: loding }" @click="!loding ? confirm() : ''">提交申请</button>
	</view>
</template>

<script>
import { getMoneyStyle } from '@/utils/rocessor.js';
import { getUserInfo, transfer, yuetransfer, cashtransfer } from '@/api/user.js';
import { mapMutations, mapState } from 'vuex';
export default {
	filters: {
		getMoneyStyle
	},
	data() {
		return {
			money: '0.00', //可提现金额
			withdrawal: '', //提现金额
			password: '', //支付密码
			card: '', //转账卡号
			name: '',
			// #ifdef H5
			weichatBsrowser: false,
			// #endif
			loding: false,
			type: 'xl'
		};
	},
	onLoad(options) {
		// #ifdef H5
		this.weichatBsrowser = uni.getStorageSync('weichatBrowser');
		// #endif
		this.dataUp();
		if (options.type) {
			this.type = options.type;
			console.log(this.type);
		}
	},
	computed: {
		...mapState('user', ['userInfo']),
		realmoney() {
			return (this.withdrawal * 0.9).toFixed(2) * 1;
		},
		gy() {
			return (this.withdrawal * 0.08).toFixed(2) * 1;
		}
	},
	methods: {
		...mapMutations('user', ['setUserInfo', 'login']),
		// 更新数据
		dataUp() {
			let obj = this;
			getUserInfo({})
				.then(e => {
					obj.login();
					// 保存返回用户数据
					obj.setUserInfo(e.data);
				})
				.catch(e => {
					console.log(e);
				});
		},
		// 切换选中对象
		tabRadio(e) {
			this.type = e.detail.value;
		},
		// 提交
		confirm() {
			let obj = this;
			obj.loding = true;
			if (obj.withdrawal == 0) {
				obj.loding = false;
				uni.showModal({
					title: '提示',
					content: '转账金额不要为0'
				});
				return;
			}
			if (obj.card == obj.userInfo.phone) {
				obj.loding = false;
				uni.showModal({
					title: '提示',
					content: '不要输入自己的用户账号'
				});
			} else {
				let data = {
					to_user_account: obj.card, //编号
					num: obj.withdrawal //金额
				};
				if (obj.type == 'xl') {
					transfer(data)
						.then(e => {
							// 允许按钮点击
							obj.loding = false;
							// 初始化提现金额
							obj.withdrawal = '';
							uni.showToast({
								title: '提交成功',
								duration: 2000,
								position: 'top'
							});
							obj.dataUp();
						})
						.catch(e => {
							obj.$api.msg(e.msg);
							obj.loding = false;
							console.log();
						});
				}
				if (obj.type == 'yue') {
					yuetransfer(data)
						.then(e => {
							// 允许按钮点击
							obj.loding = false;
							// 初始化提现金额
							obj.withdrawal = '';
							uni.showToast({
								title: '提交成功',
								duration: 2000,
								position: 'top'
							});
							obj.dataUp();
						})
						.catch(e => {
							obj.$api.msg(e.msg);
							obj.loding = false;
							console.log();
						});
				}
				if (obj.type == 'cash') {
					cashtransfer(data)
						.then(e => {
							// 允许按钮点击
							obj.loding = false;
							// 初始化提现金额
							obj.withdrawal = '';
							uni.showToast({
								title: '提交成功',
								duration: 2000,
								position: 'top'
							});
							obj.dataUp();
						})
						.catch(e => {
							obj.$api.msg(e.msg);
							obj.loding = false;
							console.log();
						});
				}
			}
		}
	}
};
</script>

<style lang="scss">
page {
	height: 100%;
}
.content-money {
	padding: 30rpx 0;
	background: #ffffff;
}

.item {
	padding: 0 $page-row-spacing;
	background-color: #ffffff;
}
.flex {
	background-color: #ffffff;
	text-align: center;
	margin: 0 30rpx;
	border-radius: $border-radius-sm;
	justify-content: center;
	.buttom {
		font-size: $font-lg;
		width: 50%;
	}
	.interval {
		width: 2px;
		height: 60rpx;
		background-color: #eeeeee;
	}
	.icon {
		background-size: 100%;
		font-size: 42rpx;
		color: $font-color-dark;
		font-weight: bold;
		background-repeat: no-repeat;
		background-position: center;
	}
	.text {
		color: $font-color-light;
	}
}

.row-box {
	margin-top: 30rpx;
	padding: 20rpx 30rpx;
	background: #fff;
	.title {
		font-size: $font-base + 2rpx;
		color: $font-color-dark;
	}
	.row {
		display: flex;
		align-items: center;
		position: relative;
		height: 80rpx;
		.tit {
			flex-shrink: 0;
			width: 40rpx;
			font-size: 30rpx;
			color: $font-color-dark;
		}
		.input {
			flex: 1;
			font-size: 30rpx;
			color: $font-color-dark;
		}
		.iconlocation {
			font-size: 36rpx;
			color: $font-color-light;
		}

		.buttom {
			color: #f21f5d;
			font-size: $font-base;
		}
	}
}
.add-btn {
	width: 520rpx;
	height: 80rpx;
	border: 2rpx solid #f21f5d;
	border-radius: 40rpx;
	margin: 140rpx auto;
	font-family: PingFang SC;
	font-weight: bold;
	color: #f21f5d;
}
.name {
	background: #fff;
	padding: 30rpx;
}
.list {
	padding-left: 30rpx;
	margin-top: 30rpx;
	background-color: #ffffff;
	.box {
		display: flex;
		align-items: center;
		width: 100%;
		height: 120rpx;
		border-bottom: 1px solid $border-color-light;
		.icon {
			font-size: 48rpx;
			padding-right: 20rpx;
			.icon-img {
				height: 50rpx;
				width: 50rpx;
			}
		}
		.iconweixin1 {
			color: #18bf16;
		}
		.iconzhifubao {
			color: #08aaec;
		}
		.title-box {
			flex-grow: 1;
			text-align: left;
			.title {
				font-size: $font-base + 2rpx;
				color: $font-color-base;
			}
			.node {
				font-size: $font-sm;
				color: $font-color-light;
			}
		}
	}
}
.tip {
	padding: 20rpx;
	color: #ff0000;
}
/deep/ .uni-radio-input {
	width: 45rpx;
	height: 45rpx;
}
</style>
